<?php


namespace App\ViewModels\Pet\PetDetailsViewModel;


use App\Utils\Entity;

class PetDetailsViewModel extends Entity
{
    protected $id_pet;
    protected $data_nascimento;
    protected $cor;
    protected $sexo;
    protected $castrado;
    protected $numero_chip;
    protected $rga_pedigree;
    protected $doado;
    protected $id_raca;
    protected $nome_raca;
    protected $id_especie;
    protected $nome_especie;
    protected $id_cliente;
    protected $nome;
    protected $cpf;
    protected $nome_pet;
    protected $porte;
    protected $observacoes;
    protected $id_paciente;
    protected $peso;

    public static function builder() : PetDetailsViewModelBuilder
    {
        return new PetDetailsViewModelBuilder;
    }

    /**
     * @return mixed
     */
    public function getNomePet()
    {
        return $this->nome_pet;
    }
    
    public function getPeso()
    {
        return $this->peso;
    }
    public function setPeso($peso): void
    {
        $this->peso = $peso;
    }
    /**
     * @param mixed $nome_pet
     */
    public function setNomePet($nome_pet): void
    {
        $this->nome_pet = $nome_pet;
    }

    /**
     * @return mixed
     */
    public function getPorte()
    {
        return $this->porte;
    }

    /**
     * @param mixed $porte
     */
    public function setPorte($porte): void
    {
        $this->porte = $porte;
    }

    /**
     * @return mixed
     */
    public function getObservacoes()
    {
        return $this->observacoes;
    }

    /**
     * @param mixed $observacoes
     */
    public function setObservacoes($observacoes): void
    {
        $this->observacoes = $observacoes;
    }

    /**
     * @return mixed
     */
    public function getIdPet()
    {
        return $this->id_pet;
    }

    /**
     * @param mixed $id_pet
     */
    public function setIdPet($id_pet): void
    {
        $this->id_pet = $id_pet;
    }

    /**
     * @return mixed
     */
    public function getDataNascimento()
    {
        return $this->data_nascimento;
    }

    /**
     * @param mixed $data_nascimento
     */
    public function setDataNascimento($data_nascimento): void
    {
        $this->data_nascimento = $data_nascimento;
    }

    /**
     * @return mixed
     */
    public function getCor()
    {
        return $this->cor;
    }

    /**
     * @param mixed $cor
     */
    public function setCor($cor): void
    {
        $this->cor = $cor;
    }

    /**
     * @return mixed
     */
    public function getSexo()
    {
        return $this->sexo;
    }

    /**
     * @param mixed $sexo
     */
    public function setSexo($sexo): void
    {
        $this->sexo = $sexo;
    }

    /**
     * @return mixed
     */
    public function getCastrado()
    {
        return $this->castrado;
    }

    /**
     * @param mixed $castrado
     */
    public function setCastrado($castrado): void
    {
        $this->castrado = $castrado;
    }

    /**
     * @return mixed
     */
    public function getNumeroChip()
    {
        return $this->numero_chip;
    }

    /**
     * @param mixed $numero_chip
     */
    public function setNumeroChip($numero_chip): void
    {
        $this->numero_chip = $numero_chip;
    }

    /**
     * @return mixed
     */
    public function getRgaPedigree()
    {
        return $this->rga_pedigree;
    }

    /**
     * @param mixed $rga_pedigree
     */
    public function setRgaPedigree($rga_pedigree): void
    {
        $this->rga_pedigree = $rga_pedigree;
    }

    /**
     * @return mixed
     */
    public function getDoado()
    {
        return $this->doado;
    }

    /**
     * @param mixed $doado
     */
    public function setDoado($doado): void
    {
        $this->doado = $doado;
    }

    /**
     * @return mixed
     */
    public function getIdRaca()
    {
        return $this->id_raca;
    }

    /**
     * @param mixed $id_raca
     */
    public function setIdRaca($id_raca): void
    {
        $this->id_raca = $id_raca;
    }

    /**
     * @return mixed
     */
    public function getNomeRaca()
    {
        return $this->nome_raca;
    }

    /**
     * @param mixed $nome_raca
     */
    public function setNomeRaca($nome_raca): void
    {
        $this->nome_raca = $nome_raca;
    }

    /**
     * @return mixed
     */
    public function getIdEspecie()
    {
        return $this->id_especie;
    }

    /**
     * @param mixed $id_especie
     */
    public function setIdEspecie($id_especie): void
    {
        $this->id_especie = $id_especie;
    }

    /**
     * @return mixed
     */
    public function getNomeEspecie()
    {
        return $this->nome_especie;
    }

    /**
     * @param mixed $nome_especie
     */
    public function setNomeEspecie($nome_especie): void
    {
        $this->nome_especie = $nome_especie;
    }

    /**
     * @return mixed
     */
    public function getIdCliente()
    {
        return $this->id_cliente;
    }

    /**
     * @param mixed $id_cliente
     */
    public function setIdCliente($id_cliente): void
    {
        $this->id_cliente = $id_cliente;
    }

    /**
     * @return mixed
     */
    public function getNome()
    {
        return $this->nome;
    }

    /**
     * @param mixed $nome
     */
    public function setNome($nome): void
    {
        $this->nome = $nome;
    }

    /**
     * @return mixed
     */
    public function getCpf()
    {
        return $this->cpf;
    }

    /**
     * @param mixed $cpf
     */
    public function setCpf($cpf): void
    {
        $this->cpf = $cpf;
    }

    /**
     * @return mixed
     */
    public function getIdPaciente()
    {
        return $this->id_paciente;
    }

    /**
     * @param mixed $id_paciente
     */
    public function setIdPaciente($id_paciente): void
    {
        $this->id_paciente = $id_paciente;
    }

}